Bug 63500 - xml.dcl bad for validation
xml.dcl bad for validation
Product: Red Hat Public Beta
Classification: Retired
Component: sgml-common (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-04-15 00:46 EDT by Alexander Kourakos
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-24 12:01:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexander Kourakos 2002-04-15 00:46:56 EDT
Description of problem:

If the /usr/share/sgml/xml.dcl file is used for validation, ie:

  nsgmls -s -v /usr/share/sgml/xml.dcl myfile.xml

it will silently ignore some mistakes, because the .dcl file has IMPLYDEF 
set to YES for everything. For example if you add an attribute to an element 
that isn't supposed to have any, it won't report it.

I got the expected results with /usr/share/doc/openjade-1.3/xml.dcl from 
openjade-1.3-6. I don't know which is the "best" or official version but I 
believe the one included with openjade should be used.

Steps to Reproduce:

nsgmls -v -s /usr/share/sgml/xml.dcl test.xml

test.xml is the following:
<?xml version="1.0"?>
<!DOCTYPE test [
<test dog="spot"/>

Actual Results:
nsgmls:I: OpenSP version "1.3.4"

Expected Results:
nsgmls:I: OpenSP version "1.3.4"
nsgmls:test.xml:6:10:E: there is no attribute "dog"
Comment 1 Tim Waugh 2002-05-16 10:00:42 EDT
Fixed in 0.6.3-10.

Note You need to log in before you can comment on or make changes to this bug.